ztree2stata subjects using lecture7.xls

gen releffort = Effort / Income
collapse Peace releffort, by(Period)

sum Period
local i = r(max)

twoway (connected releffort Period, sort mcolor(blue) lcolor(blue) lwidth(medthick)) (connected Peace Period, sort mcolor(forest_green) lcolor(forest_green) lwidth(medthick)), ytitle(Relative Effort & Peace) ylabel(0(0.2)1, angle(horizontal) format(%9.2f) nogrid) xtitle(Period) xlabel(1(1)`i') legend(order(1 "Relative Effort" 2 "Frequency of Peace") region(fcolor(none) lcolor(none)) position(12)) name(overall, replace) graphregion(margin(small) fcolor(white) lcolor(white)) plotregion(fcolor(none) lcolor(black))

clear
ztree2stata subjects using lecture7.xls

gen releffort = Effort / Income
GroupNum = GroupID > GroupSize1 if GroupID < .
collapse GroupNum releffort BigGroup, by(Group Period)

sum Period
local i = r(max)

twoway (connected releffort Period if GroupNum==1, sort mcolor(blue) lcolor(blue) lwidth(medthick)) (connected releffort Period if GroupNum==0, sort mcolor(red) lcolor(red) lwidth(medthick)), ytitle(Relative Effort) ylabel(0(0.2)1, angle(horizontal) format(%9.2f) nogrid) xtitle(Period) xlabel(1(1)`i') by(, note("")) by(, legend(position(12))) legend(order(1 "Group 1" 2 "Group 2") region(fcolor(none) lcolor(none))) name(bygroup, replace) by(, graphregion(margin(small) fcolor(white) lcolor(white))) by(BigGroup) subtitle(, size(zero) nobox) plotregion(fcolor(none) lcolor(black)) 

